Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface Ring

All Superinterfaces:
  Geometry, OrientableCurve, OrientablePrimitive, Primitive, Serializable

All Known Implementing Classes:
  RingImpl

    public interface Ring

extends OrientableCurve

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`CurveSegment` | `getAsCurveSegment()`
`CurveSegment[]` | `getCurveSegments()`
`Position[]` | `getPositions()`
`boolean` | `isCycle()`
`boolean` | `isSimple()`

Methods inherited from interface org.deegree.model.spatialschema.OrientableCurve
`getCurveBoundary`

Methods inherited from interface org.deegree.model.spatialschema.OrientablePrimitive
`getOrientation, setOrientation`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### isCycle

    boolean isCycle()

  Returns:
    true because a ring is always a cycle

### isSimple

    boolean isSimple()

  Returns:
    true because a ring is always a simple

### getPositions

    Position[] getPositions()

  Returns:
    all positions the builds the ring

### getAsCurveSegment

    CurveSegment getAsCurveSegment()
                                   throws GeometryException

  Returns:
    the ring as an instance of `CurveSegment`
  Throws:
    `GeometryException`

### getCurveSegments

    CurveSegment[] getCurveSegments()

  Returns:
    CurveSegments a Ring is build from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org